package cn.wisenergy.chnmuseum.party.model;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 视频分类
 * </p>
 *
 * @author Danny Lee
 * @since 2021-03-16
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("asset_type")
@ApiModel(value = "AssetType对象", description = "视频分类")
public class AssetType implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "视频分类ID")
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private String id;

    @ApiModelProperty(value = "视频分类名称")
    @TableField("name")
    private String name;

    @ApiModelProperty(value = "备注")
    @TableField("remarks")
    private String remarks;

    @ApiModelProperty(value = "版权方ID")
    @TableField("copyright_owner_id")
    private String copyrightOwnerId;

    @ApiModelProperty(value = "创建日期")
    @TableField(value = "create_time", fill = FieldFill.INSERT)
    private LocalDateTime createTime;

    @ApiModelProperty(value = "更新日期")
    @TableField(value = "update_time", fill = FieldFill.INSERT_UPDATE)
    private LocalDateTime updateTime;

}
