package cn.wisenergy.chnmuseum.party.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * <p>
 * 学习内容展板分类
 * </p>
 *
 * @author Danny Lee
 * @since 2021-03-16
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("learning_content_board_cat")
@ApiModel(value = "LearningContentBoardCat对象", description = "学习内容展板分类")
public class LearningContentBoardCat implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private String id;

    @ApiModelProperty(value = "学习内容ID")
    @TableField("learning_content_id")
    private String learningContentId;

    @ApiModelProperty(value = "展板类别ID")
    @TableField("exhibition_board_cat_id")
    private String exhibitionBoardCatId;

}
